#include "stm32f10x.h"


#define LCD_RS		GPIO_ODR_ODR0	// PORTC 0_
#define LCD_CS		GPIO_ODR_ODR2	// PORTC 2_
#define LCD_RD		GPIO_ODR_ODR3	// PORTC 3_
#define LCD_WR		GPIO_ODR_ODR1	// PORTC 1_
#define LCD_RES		GPIO_ODR_ODR13	// PORTD 13_

#define	DC_0   		GPIOC->BRR=GPIO_BSRR_BS2
#define	DC_1		GPIOC->BSRR=GPIO_BSRR_BS2

#define	RD_0   		GPIOC->BRR=GPIO_BSRR_BS3
#define	RD_1		GPIOC->BSRR=GPIO_BSRR_BS3

#define	WR_0   		GPIOC->BRR=GPIO_BSRR_BS1
#define	WR_1		GPIOC->BSRR=GPIO_BSRR_BS1

#define	CS_0   	GPIOC->BRR=GPIO_BSRR_BS0
#define	CS_1		GPIOC->BSRR=GPIO_BSRR_BS0

#define	RES_0   	GPIOC->BRR=GPIO_BSRR_BS13
#define	RES_1		GPIOC->BSRR=GPIO_BSRR_BS13



//  
#define black     0,0,0            	// 
#define red        255,0,0        	// 
#define green  0,255,0         		// 
#define blue     0,0,255         	// 
#define yellow  255,255,0     		// 
#define cyan   0,255,255      		// 
#define lilac     255,0,255     	// 
#define white  255,255,255 			// 

void lcd_init(void);
void lcd_send_cmd(u8 cmd);
void lcd_send_data(u8 byte);
void lcd_update(void);
void lcd_put_char(u8 x, u8 y, u8 ch);
void lcd_put_string (u8 x, u8 y, u8 * str, u8 len);
void lcd_power_on(void);
